summaryrefslogtreecommitdiff
path: root/solenv/bin/striplanguagetags.sh
diff options
context:
space:
mode:
Diffstat (limited to 'solenv/bin/striplanguagetags.sh')
-rwxr-xr-xsolenv/bin/striplanguagetags.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/solenv/bin/striplanguagetags.sh b/solenv/bin/striplanguagetags.sh
index 47343066a9ea..0df4b0be5225 100755
--- a/solenv/bin/striplanguagetags.sh
+++ b/solenv/bin/striplanguagetags.sh
@@ -14,6 +14,12 @@
#
# All a bit hacky, but it should work
+if [ -z "$CALLXSLTPROC" ]; then
+ echo "$0: \$CALLXSLTPROC not defined!"
+ echo "$0: Apparently we are not called from the build process, bailing out."
+ exit 1
+fi
+
tempfoo=`basename $0`
XSL=`mktemp /tmp/${tempfoo}.XXXXXX`